org.eclipse.aether.transfer

## Class ArtifactTransferException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.aether.RepositoryException
      - - org.eclipse.aether.transfer.ArtifactTransferException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ArtifactNotFoundException

      public class ArtifactTransferException
      extends RepositoryException

  Thrown when an artifact could not be uploaded/downloaded to/from a particular remote repository.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArtifactTransferException(Artifact artifact, RemoteRepository repository, String message)`
    `ArtifactTransferException(Artifact artifact, RemoteRepository repository, String message, boolean fromCache)`
    `ArtifactTransferException(Artifact artifact, RemoteRepository repository, String message, Throwable cause)`
    `ArtifactTransferException(Artifact artifact, RemoteRepository repository, Throwable cause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Artifact` | `getArtifact()`
    `RemoteRepository` | `getRepository()`
    `boolean` | `isFromCache()`

    - ### Methods inherited from class org.eclipse.aether.RepositoryException

      `getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ArtifactTransferException

          public ArtifactTransferException(Artifact artifact,
                                   RemoteRepository repository,
                                   String message)

    - #### ArtifactTransferException

          public ArtifactTransferException(Artifact artifact,
                                   RemoteRepository repository,
                                   String message,
                                   boolean fromCache)

    - #### ArtifactTransferException

          public ArtifactTransferException(Artifact artifact,
                                   RemoteRepository repository,
                                   Throwable cause)

    - #### ArtifactTransferException

          public ArtifactTransferException(Artifact artifact,
                                   RemoteRepository repository,
                                   String message,
                                   Throwable cause)

  - ### Method Detail

    - #### getArtifact

          public Artifact getArtifact()

    - #### getRepository

          public RemoteRepository getRepository()

    - #### isFromCache

          public boolean isFromCache()

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.